org.richfaces.el.util

## Class ConstantValueExpression

- java.lang.Object
- - javax.el.Expression
  - - javax.el.ValueExpression
    - - org.richfaces.el.util.ConstantValueExpression

- All Implemented Interfaces:
    Serializable

      public class ConstantValueExpression
      extends javax.el.ValueExpression

  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantValueExpression(Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Class<?>` | `getExpectedType()`
    `String` | `getExpressionString()`
    `Class<?>` | `getType(javax.el.ELContext context)`
    `Object` | `getValue(javax.el.ELContext context)`
    `int` | `hashCode()`
    `boolean` | `isLiteralText()`
    `boolean` | `isReadOnly(javax.el.ELContext context)`
    `void` | `setValue(javax.el.ELContext context, Object value)`

    - ### Methods inherited from class javax.el.ValueExpression

      `getValueReference`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantValueExpression

          public ConstantValueExpression(Object value)

  - ### Method Detail

    - #### getValue

          public Object getValue(javax.el.ELContext context)

      Specified by:
        `getValue` in class `javax.el.ValueExpression`

    - #### setValue

          public void setValue(javax.el.ELContext context,
                      Object value)

      Specified by:
        `setValue` in class `javax.el.ValueExpression`

    - #### isReadOnly

          public boolean isReadOnly(javax.el.ELContext context)

      Specified by:
        `isReadOnly` in class `javax.el.ValueExpression`

    - #### getType

          public Class<?> getType(javax.el.ELContext context)

      Specified by:
        `getType` in class `javax.el.ValueExpression`

    - #### getExpectedType

          public Class<?> getExpectedType()

      Specified by:
        `getExpectedType` in class `javax.el.ValueExpression`

    - #### getExpressionString

          public String getExpressionString()

      Specified by:
        `getExpressionString` in class `javax.el.Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `javax.el.Expression`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `javax.el.Expression`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `javax.el.Expression`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.